package com.tptj.demo.hg.output.formula.provider;

import com.fanruan.api.log.LogKit;
import com.fr.json.JSONObject;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.schedule.extension.report.provider.impl.AbstractReportOutputFormulaProvider;

import java.util.List;
import java.util.Map;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-20
 **/
public class LogFormula extends AbstractReportOutputFormulaProvider<OutputLog, ResultWorkBook> {
    @Override
    public void dealWithFormulaParam(OutputLog action, ResultWorkBook result,
                                     List<Map<String, Object>> mapList) throws Exception {
        LogKit.info("LogFormula Print:{}", JSONObject.mapFrom(action).toString());
    }

    @Override
    public String getActionClassName() {
        return OutputLog.class.getName();
    }
}
