package com.tptj.demo.hg.output.formula.provider;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-20
 **/
public class OutputLogDbAccess extends AbstractDecisionDBAccessProvider {
    private static DBAccessor accessor;

    public static DBAccessor getAccessor() {
        return accessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[] {
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return LogEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return OutputLogDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor accessor) {
        OutputLogDbAccess.accessor = accessor;
    }
}
