package com.tptj.demo.hg.output.formula.provider;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-20
 **/
public class WebResource extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom[] clients() {
        return new Atom[]{
                new Component() {
                    @Override
                    public ScriptPath script(RequestClient client) {
                        return ScriptPath.build( "com/tptj/demo/hg/output/formula/provider/log.schedule.terminal.js");
                    }
                },
                new Component() {
                    @Override
                    public ScriptPath script(RequestClient client) {
                        return ScriptPath.build( "com/tptj/demo/hg/output/formula/provider/main.js");
                    }
                }
        };

    }
}
