package com.tptj.demo.hg.output.formula.provider;

import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.schedule.feature.ScheduleOutputActionEntityRegister;
import com.fr.schedule.feature.output.OutputActionHandler;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-20
 **/
public class OutputHandlerRegister extends AbstractPluginLifecycleMonitor {
    @Override
    public void afterRun(PluginContext context) {
        ScheduleOutputActionEntityRegister.getInstance().addClass(LogEntity.class);
        OutputActionHandler.registerHandler( new LogHandler(), OutputLog.class.getName() );
    }

    @Override
    public void beforeStop(PluginContext context) {
        ScheduleOutputActionEntityRegister.getInstance().removeClass(LogEntity.class);
        OutputActionHandler.removeOutputHandler( OutputLog.class.getName() );
    }
}
